UpdateResponderGateway
Updates a responder gateway.
Request Syntax
POST /responder-gateway/gatewayId/update HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"description": "string",
"domainName": "string",
"listenerConfig": {
"protocols": [ "string" ]
},
"managedEndpointConfiguration": { ... },
"port": number,
"protocol": "string",
"trustStoreConfiguration": {
"certificateAuthorityCertificates": [ "string" ]
}
}
URI Request Parameters
The request uses the following URI parameters.
- gatewayId
-
The unique identifier of the gateway.
Length Constraints: Minimum length of 8. Maximum length of 32.
Pattern:
rtb-gw-[a-z0-9-]{1,25}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
The unique client token.
Type: String
Required: Yes
- description
-
An optional description for the responder gateway.
Type: String
Pattern:
[A-Za-z0-9 ]+Required: No
- domainName
-
The domain name for the responder gateway.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?)(?:\.(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?))+Required: No
- listenerConfig
-
The listener configuration for the responder gateway.
Type: ListenerConfig object
Required: No
- managedEndpointConfiguration
-
The configuration for the managed endpoint.
Type: ManagedEndpointConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
- port
-
The networking port to use.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 65535.
Required: Yes
- protocol
-
The networking protocol to use.
Type: String
Valid Values:
HTTP | HTTPSRequired: Yes
- trustStoreConfiguration
-
The configuration of the trust store.
Type: TrustStoreConfiguration object
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"gatewayId": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- gatewayId
-
The unique identifier of the gateway.
Type: String
Length Constraints: Minimum length of 8. Maximum length of 32.
Pattern:
rtb-gw-[a-z0-9-]{1,25} - status
-
The status of the request.
Type: String
Valid Values:
PENDING_CREATION | ACTIVE | PENDING_DELETION | DELETED | ERROR | PENDING_UPDATE | ISOLATED | PENDING_ISOLATION | PENDING_RESTORATION
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request could not be completed because you do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed because of a conflict in the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request could not be completed because of an internal server error. Try your call again.
HTTP Status Code: 500
- ResourceNotFoundException
-
The request could not be completed because the resource does not exist.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request could not be completed because it fails satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: